<style type="text/css">
    .comment{
        color: #8b8b8b;
    }
</style>
<script type="text/javascript">
    function select_m(room_id, room_name, sit_amount) {
        var p = {};
        p['room_id'] = room_id;
        p['room_name'] = room_name;
        p['sit_amount'] = sit_amount;
        parent.room_dlg_submit(p);
        parent.$.modal().closeModal();
    }
</script>

<div class="textbox">
    <div class="table_head">
        <strong>ห้องประชุมว่างที่อาจสามารถจองได้ ณ.ขณะนี้ (จองย้อนหลังไม่ได้ หรืออาจมีการกำหนดระยะเวลาที่ต้องให้จองล่วงหน้า)</strong>
    </div>
    <table class="display normal-t" cellspacing="0" cellpadding="0" border="0">
        <thead>
            <tr>
                <th>ชื่อห้องประชุม</th>
                <th width="150">ขนาด</th>
                <th width="100">ที่นั่ง</th>
                <th width="85">เมนู</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $irow = 0;
            foreach ($query as $r) {
                $irow++;
                $id = $r['id'];
                echo "<tr>";
                echo "<td>";
                echo $r['name'];
                if (!$r['ok']) {
                    echo "<div class='comment'>" . $r['ok_txt'] . "</div>";
                }
                echo "</td>";
                echo "<td class='center'>" . $r['room_size'] . "</td>";
                echo "<td class='center'>" . $r['sit_amount'] . "</td>";
                echo "<td class='center'>";
                if ($r['ok']) {
                    echo "<a href=\"#\" class=\"btn btn-mini\" onclick=\"select_m('" . $r['id'] . "','" . $r['name'] . "','" . $r['sit_amount'] . "');\"><i class=\"icon-ok\"></i>เลือก</a>\r";
                } else {
                    //echo $r['ok_txt'];
                    echo "ไม่ว่าง";
                }
                echo "</td>";
                echo "</tr>";
            }
            if ($irow == 0) {
                echo "<tr><td colspan='4' class='center'>*** ไม่มีห้องประชุมที่ว่าง ตามเงื่อนไขของวันที่และเวลาที่เลือก ***</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>